Package org.eclipse.m2m.atl.emftvm.util

## Class OCLOperations

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.util.OCLOperations

    public final class OCLOperations
    extends java.lang.Object

Provides native operations on simple OCL types.

### Nested Class Summary

Nested Classes
`static class` `OCLOperations.ResolveList` `LazyList` that resolves default trace links.
`static class` `OCLOperations.UniqueResolveList` `LazyList` that resolves unique trace links within a given traced rule.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static OCLOperations` `getInstance()` Returns the singleton instance of `OCLOperations`.
`Module` `getOclModule()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static OCLOperations getInstance()

Returns the singleton instance of `OCLOperations`.

Returns:
  the singleton instance of `OCLOperations`.

#### getOclModule

    public Module getOclModule()

Returns:
  the oclModule